package ink.wgink.module.instantmessage.pojo.bos;

import ink.wgink.annotation.CheckEmptyAnnotation;

/**
 * @ClassName: MessageSimpleBO
 * @Description: 简单消息
 * @Author: wanggeng
 * @Date: 2021/9/13 6:00 下午
 * @Version: 1.0
 */
public class NoticeBO {

    /**
     * 接收人用户ID，多个用英文逗号分割
     */
    @CheckEmptyAnnotation(name = "接收人")
    private String to;
    @CheckEmptyAnnotation(name = "标题")
    private String title;
    @CheckEmptyAnnotation(name = "内容")
    private String content;

    public String getTo() {
        return to == null ? "" : to.trim();
    }

    public void setTo(String to) {
        this.to = to;
    }

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content == null ? "" : content.trim();
    }

    public void setContent(String content) {
        this.content = content;
    }
}
